Skip to content

Change a backup destination

PATCH
/backup-destinations/{destinationId}
curl --request PATCH \
--url https://example.com/api/v1/backup-destinations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--cookie __Host-shardkeep_session=<__Host-shardkeep_session> \
--data '{ "name": "example", "subdirectory": "example", "s3": { "endpoint": "example", "bucket": "example", "region": "example", "prefix": "example", "accessKeyId": "example", "secretAccessKey": "example", "caPem": "example" } }'

Global administrators only; audited. The kind and the keys never change; an omitted secret is kept.

destinationId
required
string format: uuid
Media typeapplication/json
object
>= 1 properties
name
string
>= 1 characters <= 100 characters
subdirectory
string
<= 64 characters
s3
object
endpoint
required

Host name and optional port; HTTPS is always used.

string
<= 255 characters
bucket
required
string
<= 63 characters
region
string
<= 64 characters
prefix
string
<= 255 characters
accessKeyId
required
string
<= 255 characters
secretAccessKey

Required when adding; omit to keep the stored one.

string
<= 255 characters
caPem

PEM certificates to trust in addition to the system roots, for a self-signed endpoint.

string
<= 65536 characters
Examplegenerated
{
"name": "example",
"subdirectory": "example",
"s3": {
"endpoint": "example",
"bucket": "example",
"region": "example",
"prefix": "example",
"accessKeyId": "example",
"secretAccessKey": "example",
"caPem": "example"
}
}

The changed destination.

Media typeapplication/json
object
id
required
string format: uuid
name
required
string
kind
required
string
Allowed values: NODE_DIRECTORY S3
subdirectory

For NODE_DIRECTORY, the directory below each Agent’s -backup-dir.

string
s3
object
endpoint
required
string
bucket
required
string
region
required
string
prefix
required
string
accessKeyId
required
string
customCa
required

Whether extra CA certificates are trusted for the endpoint.

boolean
recipient
required

The age public key backups are encrypted to.

string
createdAt
required
string format: date-time
Example
{
"kind": "NODE_DIRECTORY"
}

The request is invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not signed in, or the credentials are invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Signed in, but not allowed.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not found, or not visible to you.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Clashes with existing data or state.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}